Commit 5a670d08 authored by Dylan Baker's avatar Dylan Baker

meson: raise required version to 0.44.1

We have already required 0.44 for building clover and swr, so it was
already partially required. This just makes it required across the board
instead of just for clover and swr.

There is a bug in 0.44 which makes it impossible to build mesa in some
configurations, so require 0.44.1 which fixes this.
Signed-off-by: Dylan Baker's avatarDylan Baker <dylan.c.baker@intel.com>
Reviewed-by: Eric Anholt's avatarEric Anholt <eric@anholt.net>
parent 1546f76a
......@@ -24,10 +24,7 @@ for production</strong></p>
<p>The meson build is tested on on Linux, macOS, Cygwin and Haiku, it should
work on FreeBSD, DragonflyBSD, NetBSD, and OpenBSD.</p>
<p><strong>Mesa requires Meson >= 0.42.0 to build in general.</strong>
Additionaly, to build the Clover OpenCL state tracker or the OpenSWR driver
meson 0.44.0 or greater is required.
<p><strong>Mesa requires Meson >= 0.44.1 to build.</strong>
Some older versions of meson do not check that they are too old and will error
out in odd ways.
......
......@@ -25,7 +25,7 @@ project(
[find_program('python', 'python2', 'python3'), 'bin/meson_get_version.py']
).stdout(),
license : 'MIT',
meson_version : '>= 0.42',
meson_version : '>= 0.44.1',
default_options : ['buildtype=debugoptimized', 'c_std=c99', 'cpp_std=c++11']
)
......
......@@ -40,9 +40,6 @@ if with_platform_haiku
subdir('winsys/sw/hgl')
endif
if with_gallium_swr
if meson.version().version_compare('< 0.44.0')
error('SWR requires meson 0.44.0 or greater.')
endif
subdir('drivers/swr')
else
driver_swr = declare_dependency()
......@@ -144,9 +141,6 @@ if with_gallium_opencl
# consumer
subdir('targets/pipe-loader')
if meson.version().version_compare('< 0.44.0')
error('OpenCL requires meson 0.44.0 or greater.')
endif
subdir('state_trackers/clover')
subdir('targets/opencl')
endif
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment